package test.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/receivehiddendata")
public class ReceiveHiddenData extends HttpServlet {

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//受信するデータの文字コードを設定する
		req.setCharacterEncoding("utf-8");
		
		//送信されたデータを取得する
		int num1 = Integer.parseInt(req.getParameter("num1"));
		int num2 = Integer.parseInt(req.getParameter("num2"));
		String command = req.getParameter("command");

		//クライアントへの出力準備をする
		resp.setContentType("text/html;charset=utf-8");
		PrintWriter pw = resp.getWriter();
		
		//取得したコマンドに応じて計算する
		int result = 0;
		switch(command) {
			case "+":
				result = num1 + num2;
				break;
			case "-":
				result = num1 - num2;
				break;
			case "*":
				result = num1 * num2;
				break;
			case "/":
				result = num1 / num2;
				break;
		}
		
		//クライアントにHTMLタグを書き出し
		pw.println("<html>");
		pw.println("<head>");
		pw.println("<title>計算結果</title>");
		pw.println("</head>");
		pw.println("<body>");
		pw.println("  計算結果：" + result);
		pw.println("</body>");
		pw.println("</html>");
	}

}
